apiVersion: maistra.io/v1
kind: ServiceMeshExtension
metadata:
  creationTimestamp: '2022-04-11T17:38:29Z'
  generation: 25
  managedFields:
    - apiVersion: maistra.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:config':
            .: {}
            'f:api': {}
            'f:backend':
              .: {}
              'f:extensions': {}
              'f:name': {}
              'f:upstream':
                .: {}
                'f:name': {}
                'f:timeout': {}
                'f:url': {}
            'f:services': {}
            'f:system':
              .: {}
              'f:name': {}
              'f:token': {}
              'f:upstream':
                .: {}
                'f:name': {}
                'f:timeout': {}
                'f:url': {}
          'f:image': {}
          'f:phase': {}
          'f:priority': {}
          'f:workloadSelector':
            .: {}
            'f:labels':
              .: {}
              'f:app': {}
      manager: Mozilla
      operation: Update
      time: '2022-04-11T17:38:29Z'
    - apiVersion: maistra.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:deployment':
            .: {}
            'f:containerSha256': {}
            'f:ready': {}
            'f:sha256': {}
            'f:url': {}
          'f:observedGeneration': {}
          'f:phase': {}
          'f:priority': {}
      manager: mec
      operation: Update
      subresource: status
      time: '2022-04-11T17:38:32Z'
  name: threescale-auth
  namespace: membersapp-mesh
  resourceVersion: '15507123'
  uid: 7aa25189-8fd3-43c1-a5e5-ec21b7d0a954
spec:
  config:
    api: v1
    backend:
      extensions:
        - no_body
      name: backend
      upstream:
        name: outbound|3000||backend-listener.amp.svc.cluster.local
        timeout: 5000
        url: 'http://backend-listener.amp.svc.cluster.local'
    services:
      - authorities:
          - '*'
        credentials:
          app_id:
            - header:
                keys:
                  - app_id
            - query_string:
                keys:
                  - app_id
          app_key:
            - header:
                keys:
                  - app_key
            - query_string:
                keys:
                  - app_key
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '14'
        mapping_rules:
          - method: GET
            pattern: /membersweb/rest/members$
            usages:
              - delta: 1
                name: allmembers
          - method: GET
            pattern: '/membersweb/rest/members/{id}$'
            usages:
              - delta: 1
                name: allmembersbyid
          - method: POST
            pattern: /membersweb/rest/members
            usages:
              - delta: 1
                name: add_member
          - method: DELETE
            pattern: '/membersweb/rest/members/{email}$'
            usages:
              - delta: 1
                name: deletemember
        token: 8155941048327d1e0fcc0b43b5d89813a343721b690e0ba29c38fd7db7622d48
    system:
      name: system
      token: 814f45259bde5ceded780fa82858c3c27865d3cac8842652adba1712d3ddbf39
      upstream:
        name: outbound|3000||system-provider.amp.svc.cluster.local
        timeout: 5000
        url: 'http://system-provider.amp.svc.cluster.local'
  image: 'registry.redhat.io/openshift-service-mesh/3scale-auth-wasm-rhel8:0.0.1'
  phase: PostStats
  priority: 100
  workloadSelector:
    labels:
      app: members
status:
  deployment:
    containerSha256: 41874952fb952e97fa31a6d3698bb07341feff522b877441b7b040dd0bc2757b
    ready: true
    sha256: 5b207b6979c7b1826220c1b1be1cb64bbc4da13e8302fe8f3cb401e626c318cb
    url: >-
      http://wasm-cacher-basic.istio-system.svc.cluster.local/398fa568-75c0-442e-9d05-63fd989d98b8
  observedGeneration: 25
  phase: PostStats
  priority: 100
